Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class RangeStatisticImpl

    java.lang.Object
      org.codehaus.activemq.management.StatisticImpl
          org.codehaus.activemq.management.RangeStatisticImpl

All Implemented Interfaces:
  RangeStatistic, Resettable, Statistic

Direct Known Subclasses:
  BoundedRangeStatisticImpl

public class RangeStatisticImpl
extends StatisticImpl
implements RangeStatistic

A range statistic implementation

Version:
  $Revision: 1.1 $

Constructor Summary
`RangeStatisticImpl(String name, String unit, String description)`

Method Summary
`protected void` | `appendFieldDescription(StringBuffer buffer)`
`long` | `getCurrent()`
`long` | `getHighWaterMark()`
`long` | `getLowWaterMark()`
`void` | `reset()` Reset the statistic
`void` | `setCurrent(long current)`

Methods inherited from class org.codehaus.activemq.management.StatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString, updateSampleTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### RangeStatisticImpl

    public RangeStatisticImpl(String name,
                              String unit,
                              String description)

Method Detail

### reset

    public void reset()

  Description copied from interface: `Resettable`
  Reset the statistic

  Specified by:
    `reset` in interface `Resettable`
  Overrides:
    `reset` in class `StatisticImpl`

### getHighWaterMark

    public long getHighWaterMark()

  Specified by:
    `getHighWaterMark` in interface `RangeStatistic`

### getLowWaterMark

    public long getLowWaterMark()

  Specified by:
    `getLowWaterMark` in interface `RangeStatistic`

### getCurrent

    public long getCurrent()

  Specified by:
    `getCurrent` in interface `RangeStatistic`

### setCurrent

    public void setCurrent(long current)

### appendFieldDescription

    protected void appendFieldDescription(StringBuffer buffer)

  Overrides:
    `appendFieldDescription` in class `StatisticImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.